
// SUBFILE specific stuff

#ifndef __DAMSEL_SUBFILE_H
#define __DAMSEL_SUBFILE_H

#ifdef DAMSEL_SUBFILE
#ifdef __cplusplus
extern "C" {
#endif

#include <hdf5.h>
#include <stdlib.h>

#include "damsel.h"
#include "damsel-internal.h"
#include "damsel-subfile.h"
#include "damsel-hdf5.h"

/*! subfile-related data structure */ 

void store_subfiles(damsel_model_internal *s, damsel_attached_file *fs);
void store_data_range(damsel_model_internal *src_s, damsel_attached_file *fs);
damsel_err_t damsel_internal_subfile_partition(damsel_model_internal *mi, const char *filename, MPI_Comm comm, damsel_trait_bundle tb);

#ifdef __cplusplus
}
#endif
#endif
#endif
